[package]
name = "monologue-trees"
version = "0.1.0"
edition = "2021"

[[bin]]
name = "gltf-inspect"
path = "bin/gltf-inspect.rs"

[[bin]]
name = "camera-image-ui"
path = "bin/camera-image-ui.rs"

[[bin]]
name = "ui-wtf"
path = "bin/ui-wtf.rs"

[[bin]]
name = "animation-wtf"
path = "bin/animation-wtf.rs"

[[bin]]
name = "text-inspect"
path = "bin/text-inspect.rs"

[[bin]]
name = "debug-info"
path = "bin/debug-info.rs"

[[bin]]
name = "audio-inspect"
path = "bin/audio-inspect.rs"

[[bin]]
name = "editor"
path = "bin/editor.rs"

[[bin]]
name = "chars"
path = "bin/chars.rs"

[[bin]]
name = "serialize-wtf"
path = "bin/serialize-wtf.rs"


[dependencies]
bevy = "0.11"
# bevy_rapier3d = "*"
serde = "1"

# From rapier docs
[profile.dev.package.bevy_rapier3d]
opt-level = 3

# From rapier docs
[profile.release]
codegen-units = 1
